For the complete documentation index, see llms.txt. This page is also available as Markdown.

Persistence Engine

post
Authorizations
AuthorizationstringRequired

Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'

Path parameters
warehouseIdstringRequired
Body
object · RunPersistenceEngineDtoOptional
Responses
200Success
application/json
idstringRequired

Unique ID

namestringRequired

Name of Warehouse

is_managedbooleanRequired

If true, it means that this Warehouse is provided by Whaly, so access is limited.

is_bi_enabledbooleanRequired

If true, it means that BI is enabled on this Warehouse.

is_data_loading_enabledbooleanRequired

If true, it means that Connectors are enabled on this Warehouse.

is_persistence_engine_enabledbooleanRequired

If true, it means that Persistence Engine is enabled on this Warehouse.

warehouse_typestring · enumRequired

Type of the Warehouse

Possible values:
post/v1/warehouses/{warehouseId}/persistence-engine/run
POST /v1/warehouses/{warehouseId}/persistence-engine/run HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
200Success
{
  "id": "text",
  "name": "text",
  "is_managed": true,
  "is_bi_enabled": true,
  "is_data_loading_enabled": true,
  "is_persistence_engine_enabled": true,
  "warehouse_type": "BIGQUERY"
}

Last updated